
Redmine - Feature #21361

Plugins ui tests rake task

2015-11-27 13:26 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution:    

Description

From #12822#note-32

diff --git a/lib/tasks/redmine.rake b/lib/tasks/redmine.rake

--- a/lib/tasks/redmine.rake

+++ b/lib/tasks/redmine.rake

@@ -171,6 +171,13 @@ DESC

         t.verbose = true

         t.pattern = "plugins/#{ENV['NAME'] || '*'}/test/integration/**/*_test.rb" 

       end

+

+      desc 'Runs the plugins ui tests.'

+      Rake::TestTask.new :ui => "db:test:prepare" do |t|

+        t.libs << "test" 

+        t.verbose = true

+        t.pattern = "plugins/#{ENV['NAME'] || '*'}/test/ui/**/*_test.rb" 

+      end

     end

   end

 end

Related issues:

Related to Redmine - Defect #27067: Missed task for redmine:plugins:test Needs feedback

Associated revisions

Revision 14891 - 2015-11-27 13:30 - Toshi MARUYAMA

add plugins ui tests rake task (#21361)

Patch by Maria Tikhonova.

History

#1 - 2015-11-27 13:26 - Toshi MARUYAMA

- Target version set to 3.2.0

#2 - 2015-11-27 13:30 - Toshi MARUYAMA

- Description updated

#3 - 2015-11-27 13:31 - Toshi MARUYAMA

- Status changed from New to Closed

Committed in r14891.

#4 - 2017-09-25 05:31 - Toshi MARUYAMA

- Related to Defect #27067: Missed task for redmine:plugins:test added
